package eu.eiting.StarCharge.model.profiles;

import java.io.Serializable;

import eu.eiting.StarCharge.model.objects.starship.StarShip;
import eu.eiting.StarCharge.model.solarSystem.Fleet;

public class Profile implements Serializable{
	// CLASS ATTRIBUTES
	// ============================================
	private static final long serialVersionUID = 3497814850011752338L;
	// ============================================
	
	// OBJECT ATTRIBUTES
	// ============================================
	private String name		= null;
	private String filepath	= null;
	private StarShip playerShip = null;
	// ============================================
	
	// CONSTRUCTOR
	// ============================================
	public Profile(String name){
		this.name		= name;
		this.filepath	= name + "_game.data";
	}
	// ============================================
	
	// OBJECT METHODS
	// ============================================
	@Override
	public String toString() {
		return "Profil [name=" + getName() + "]";
	}
	// ============================================
	
	// GETTER AND SETTER
	// ============================================
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	public StarShip getStarShip(){
		return playerShip;
	}
	
	public void setStarShip(StarShip ship){
		playerShip = ship;
	}
	
	public String getFileName(){
		return filepath;
	}
	
	public Fleet getFleet() {
		return null;
	}
	// ============================================
}
