package eu.eiting.StarCharge.model.resources;

import java.io.FileInputStream;
import java.io.FileNotFoundException;

import javax.xml.stream.FactoryConfigurationError;
import javax.xml.stream.XMLInputFactory;
import javax.xml.stream.XMLStreamException;

/**
 * Class containing the ResourceArchive for all textures.
 * 
 * @author Caspar Eiting
 *
 */
public class Textures {
	// CLASS ATTRIBUTES
	// ============================================
	private static ResourceArchive ARCHIVE = null;
	// ============================================
	
	// GETTER AND SETTER
	// ============================================
	public static <T> T getResource(Class<T> classInformation, String key){
		if(ARCHIVE == null){
			try {
				ARCHIVE = new ResourceArchive(XMLInputFactory.newInstance().createXMLStreamReader(new FileInputStream("preferences.xml")));
			} catch (FileNotFoundException e) {
				e.printStackTrace();
			} catch (XMLStreamException e) {
				e.printStackTrace();
			} catch (FactoryConfigurationError e) {
				e.printStackTrace();
			}
		}
		
		return ARCHIVE.getResource(classInformation, key);
	}
	// ============================================
}
