package eu.eiting.StarCharge.model.resources.infos;

import eu.eiting.StarCharge.model.resources.datatypes.BufferedImageProxy;
import eu.eiting.StarCharge.model.resources.loader.ImageLoader;

public class ImageInfo implements ResourceInfo {
	// OBJECT ATTRIBUTES
	// ====================================
	private final String ID;
	private final String FILE;
	// ====================================
	
	// CONSTRUCTOR
	// ====================================
	public ImageInfo(String ID, String FILE){
		this.ID		= ID;
		this.FILE	= FILE;
	}
	// ====================================
	
	// OBJECT METHODS
	// ====================================
	@Override
	public BufferedImageProxy loadRessource() {
		BufferedImageProxy resource = new BufferedImageProxy();
		
		ImageLoader loader = new ImageLoader(FILE, resource);
		
		loader.start();
		
		return resource;
	}
	// ====================================
	
	// GETTER AND SETTER
	// ====================================
	@Override
	public String getID() {
		return ID;
	}
	// ====================================
}
