package eu.eiting.StarCharge.model.resources.loader;

import eu.eiting.StarCharge.model.resources.ImageTool;
import eu.eiting.StarCharge.model.resources.datatypes.BufferedImageProxy;

public class ImageLoader extends Thread {
	// OBJECT ATTRIBUTES
	//
	private final String FILE;
	private final BufferedImageProxy RESOURCE;
	
	public ImageLoader(String FILE, BufferedImageProxy RESOURCE) {
		this.FILE		= FILE;
		this.RESOURCE	= RESOURCE;
	}

	@Override
	public void run() {
		RESOURCE.setSource(ImageTool.load(FILE));
	}
}
