package eu.eiting.StarCharge.visualization.menu.menuElements;

import java.awt.Rectangle;
import java.awt.event.MouseEvent;
import java.awt.image.BufferedImage;

import eu.eiting.StarCharge.model.resources.datatypes.BufferedImageProxy;

public class BackgroundElement extends GUIElement{
	// OBJECT ATTRIBUTES
	// ============================================
	private final BufferedImageProxy IMAGE;
	// ============================================
	
	// CONSTRUCTOR
	// ============================================
	public BackgroundElement(Rectangle dimension, BufferedImageProxy image) {
		super(dimension);

		this.IMAGE = image;
	}
	// ============================================

	// OBJECT METHODS
	// ============================================
	@Override
	public void onMousePress(MouseEvent event) { }
	
	@Override
	public void onMouseRelease(MouseEvent event) { }
	
	@Override
	public void onMouseMotion(MouseEvent event) { }
	// ============================================
	
	// GETTER AND SETTER
	// ============================================
	@Override
	public BufferedImage getImage() {
		return IMAGE.getSource();
	}
	// ============================================
}
