package eu.eiting.StarCharge.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import eu.eiting.StarCharge.model.objects.Projectile;
import eu.eiting.StarCharge.model.solarSystem.Fleet;

public class BattleField implements Serializable{
	// CLASS ATTRIBUTES
	// ============================================
	private static final long serialVersionUID = 89803436470821540L;
	// ============================================
	
	// OBJECT ATTRIBUTES
	// ============================================
	private final Fleet aggressor;
	private final Fleet defender;
	private final List<Projectile> projectiles = new ArrayList<Projectile>();
	// ============================================

	// CONSTRUCTOR
	// ============================================
	public BattleField(Fleet aggressor, Fleet defender){
		this.aggressor = aggressor;
		this.defender = defender;
	}
	// ============================================
	
	// GETTER AND SETTER
	// ============================================
	public Fleet getAggressor(){
		return aggressor;
	}

	public Fleet getDefender(){
		return defender;
	}
	
	public List<Projectile> getProjectiles(){
		return projectiles;
	}
	// ============================================
}
