package eu.eiting.StarCharge.model.objects;

import eu.eiting.StarCharge.model.Updateable;
import eu.eiting.StarCharge.model.structure.Vector2;

public abstract class MotionObject extends GameObject implements Updateable{
	// CLASS ATTRIBUTES
	//====================================
	private static final long serialVersionUID = -257728889519008334L;
	//====================================
	
	// OBJECT ATTRIBUTES
	//====================================
	protected Vector2 velocity 	= Vector2.ZERO;
	protected float maxVelocity = 0;
	protected float minVelocity = 0;
	//====================================
	
	// CONSTRUCTOR
	//====================================
	public MotionObject(){
		this.velocity	= Vector2.ZERO;
	}
	//====================================

	// GETTER AND SETTER
	//====================================
	public Vector2 getVelocity() {
		return velocity;
	}

	public void setVelocity(Vector2 velocity) {
		this.velocity = velocity;
	}

	public float getMaxVelocity() {
		return maxVelocity;
	}

	public void setMaxVelocity(float maxVelocity) {
		this.maxVelocity = maxVelocity;
	}
	//====================================
}
