package eu.eiting.StarCharge.model.objects.starship.systems;

import java.io.Serializable;

import eu.eiting.StarCharge.model.Updateable;

/**
 * Base class for each and every system of space ship, ranging from weapons to hull and engine.
 * 
 *  - defines only that each system has the update() method and is serializable
 * 
 * @author Caspar Eiting
 *
 */
public abstract class ShipSystem implements Updateable, Serializable{
	// CLASS ATTRIBUTES
	//====================================
	private static final long serialVersionUID = -265142140808795595L;
	//====================================
}
