package eu.eiting.StarCharge.model.objects.starship.systems.subSystem;

import eu.eiting.StarCharge.model.objects.starship.systems.ShipSystem;
import eu.eiting.StarCharge.model.objects.starship.systems.coreSystem.CoreSystem;

/**
 * -Under Construction-
 * 
 * @author Caspar Eiting
 *
 */
public abstract class SubSystem extends ShipSystem {
	// CLASS ATTRIBUTES
	//====================================
	private static final long serialVersionUID	= 6314001305048802264L;
	//====================================
	
	// OBJECT ATTRIBUTES
	//====================================
	public CoreSystem targetSystem				= null;
	//====================================
	
	// CONSTRUCTOR
	//====================================
	public SubSystem(CoreSystem targetSystem){
		this.targetSystem = targetSystem;
	}
	//====================================
	
	// OBJECT METHODS
	//====================================
	public abstract void install();
	
	public abstract void remove();
	//====================================
}
