package eu.eiting.StarCharge.model.resources.datatypes;

import java.util.ArrayList;
import java.util.List;

public class ImageList {
	// CLASS ATTRIBUTES
	// ============================================
	private static final BufferedImageProxy MISSING_RESSOURCE = new BufferedImageProxy();
	// ============================================
	
	// OBJECT ATTRIBUTES
	// ============================================
	private final List<BufferedImageProxy> IMAGES;
	// ============================================
	
	// CONSTRUCTORS
	// ============================================
	public ImageList(){
		this.IMAGES = new ArrayList<>();
	}
	
	public ImageList(List<BufferedImageProxy> images){
		this.IMAGES = images;
	}
	// ============================================
	
	// GETTER AND SETTER
	// ============================================
	public BufferedImageProxy get(int index){
		if(index < IMAGES.size()){
			return IMAGES.get(index);
		} else {
			System.out.println("WARNING: INDEX["+ index + "] is not contained in ImageList");
			
			return MISSING_RESSOURCE;
		}
	}
	
	public int size(){
		return IMAGES.size();
	}
	// ============================================
}
