package eu.eiting.StarCharge.model.resources.loader;

import java.util.List;

import eu.eiting.StarCharge.model.resources.ImageTool;
import eu.eiting.StarCharge.model.resources.datatypes.BufferedImageProxy;

public class ImageListLoader extends Thread {
	// OBJECT ATTRIBUTES
	// ====================================
	private final List<String> FILES;
	private final List<BufferedImageProxy> IMAGES;
	// ====================================
	
	// CONSTRUCTOR
	// ====================================
	public ImageListLoader(List<String> FILES, List<BufferedImageProxy> IMAGES) {
		this.FILES	= FILES;
		this.IMAGES	= IMAGES;
	}
	// ====================================
	
	// OBJECT METHODS
	// ====================================
	@Override
	public void run() {
		for (int index = 0; index < IMAGES.size(); index++) {
			IMAGES.get(index).setSource(ImageTool.load(FILES.get(index)));
		}
	}
	// ====================================
}
