package eu.eiting.StarCharge.model.solarSystem;

import eu.eiting.StarCharge.model.Updateable;
import eu.eiting.StarCharge.model.objects.GameObject;
import eu.eiting.StarCharge.model.structure.Vector2;

public abstract class Location extends GameObject implements Updateable {
	// CLASS ATTRIBUTES
	// ====================================
	public static final String LOCATION_TYPE_ORBITAL_SETTLEMENT = "orbital";
	private static final long serialVersionUID = 6478319510996510980L;
	// ====================================
	
	// OBJECT ATTRIBUTES
	// ====================================
	private String type = null;
	// ====================================
	
	// CONSTRUCTOR
	// ====================================
	public Location(Vector2 position, String name, String type){
		this.type		= type;
		
		this.getTransform().setPosition(position);
		this.setName(name);
	}
	// ====================================

	// GETTER AND SETTER
	// ====================================
	public String getType() {
		return type;
	}
	
	public void setType(String type) {
		this.type = type;
	}
	// ====================================
}
