package eu.eiting.StarCharge.visualization.utility;

import java.awt.Color;
import java.awt.image.BufferedImage;

public class Color2D {
	// CLASS ATTRIBUTES
	// ============================================
	public static final Color EMPTY_COLOR	= new Color(0, 0, 0, 0);
	public static final int EMPTY_VALUE		= EMPTY_COLOR.getRGB();
	// ============================================
	
	// CLASS METHODS
	// ============================================
	public static void empty(BufferedImage image){
		for (int y = 0; y < image.getHeight(); y++) {
			for (int x = 0; x < image.getWidth(); x++) {
				image.setRGB(x, y, EMPTY_VALUE);
			}
		}
	}
	
	public static final boolean isTransparent(int ARGB){
		if(((ARGB >> 24) & 0xFF) == 0){
			return true;
		} else {
			return false;
		}
	}
	// ============================================
}
