package eu.eiting.StarCharge.visualization.utility;

import java.awt.Point;

import eu.eiting.StarCharge.model.structure.Vector2;

public class Point2D extends Point {
	// CLASS ATTRIBUTES
	// ============================================
	private static final long serialVersionUID = -6657899066217653643L;
	public static final Point UP	= new Point(0, -1);
	public static final Point RIGHT = new Point(1, 0);
	public static final Point DOWN	= new Point(0, -1);
	public static final Point LEFT	= new Point(-1, 0);
	public static final Point ZERO	= new Point(0, 0);
	// ============================================
	
	// CLASS METHODS
	// ============================================
	public static Point substract(Point a, Point b){
		return new Point(a.x - b.x, a.y - b.y);
	}
	
	public static Point add(Point a, Point b){
		return new Point(a.x + b.x, a.y + b.y);
	}
	
	public static Point translate(Vector2 v){
		return new Point((int) v.x, (int) v.y);
	}
	// ============================================
}
